Modules/Admin/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->group(function() {
    Route::get('/', 'AdminController@index');
    // slideshow route
    Route::resource('slide', 'SlideShowController')
        ->except(['show','destroy']);
    Route::get('slide/delete/{id}', 'SlideShowController@delete')
        ->name('slide.delete');
    Route::get('logout', 'AuthenticateController@logout');
    Route::post('login', 'AuthenticateController@login');
    // about route
    Route::get('about', 'AboutController@index');
    Route::get('about/edit/{id}', 'AboutController@edit');
    Route::post('about/update', 'AboutController@update');
    // file manager
    Route::view('fileman', 'admin::fileman');

     //Service
     Route::resource('service', 'ServiceController');
     Route::get('service/delete/{id}', 'ServiceController@delete');

     //Teams
     Route::resource('team', 'TeamController');
     Route::get('team/delete/{id}', 'TeamController@delete')->name('team.delete');
























     //News
     Route::resource('news', 'NewsController');
     Route::get('news/delete/{id}', 'NewsController@delete')->name('news.delete');




























     
    //Category
    Route::resource('category', 'CategoryController');
    Route::get('category/delete/{id}', 'CategoryController@delete')->name('category.delete');

     //Portfolios
     Route::resource('portfolios', 'PortfoliosController');
     Route::get('portfolios/delete/{id}', 'PortfoliosController@delete')->name('portfolios.delete');
});

Modules/Admin/Http/Controllers/PortfoliosController.php
<?php

namespace Modules\Admin\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use DB;

class PortfoliosController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $data['portfolios'] = DB::table('portfolios')
            ->join('categories', 'portfolios.category_id' ,'=', 'categories.id')

            ->where('portfolios.active', 1)
            ->orderBy('portfolios.id', 'desc')
            ->select('portfolios.*', 'categories.title as cate_name' )
            ->paginate(config('app.row'));
        $data['categories'] = DB::table('categories')
        ->where('active', 1)
        ->paginate(config('app.row'));
            // dd($data);
        return view('admin::portfolios.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        $data['categories'] = DB::table('categories')
            ->where('active', 1)
            ->paginate(config('app.row'));
            // dd($data);
        return view('admin::portfolios.create',$data );
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'min:3|required'
        ]);
        $data = array(
            'title' => $request->title,
            'photo' => $request->photo,
            'category_id' => $request->category_id,
            
        );
        if($request->photo)
        {
            $data['photo'] = $request->file('photo')->store('uploads/portfolios', 'custom');
            @unlink($slide->photo);
        }
        $i = DB::table('portfolios')->insert($data);
        if($i)
        {
            return redirect('admin/portfolios/create')->with('success', 'Data has been saved!');
        }
        else{
            sess()->flash('error', 'Fail to save data!');
            return redirect('admin/portfolios/create')->withInput();
        }
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('admin::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        $data = DB::table('portfolios')->find($id);
        dd($data);
        return view('admin::portfolios.edit', compact('portfolios'));
        
        //return view('admin::portfolios.edit', ['portfolios'=>DB::table('portfolios')->find($id)]);
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'title' => 'min:3|required'
        ]);
        $data = array(
            'title' => $request->title,
            'photo' => $request->photo,
            'category_id' => $request->category_id,
        );
        $slide = DB::table('portfolios')->find($id);
        if($request->photo)
        {
            $data['photo'] = $request->file('photo')->store('uploads/portfolios', 'custom');
            unlink($slide->photo);
        }
        $i = DB::table('portfolios')
            ->where('id', $id)
            ->update($data);
        if($i)
        {
            return redirect('admin/portfolios')->with('success', 'Data has been saved!');
        }
        else{
            sess()->flash('error', 'Fail to save data!');
            return redirect()->route('portfolios.edit', $id);
        }
    }
    public function delete($id)
    {
        DB::table('portfolios')
            ->where('id', $id)
            ->update(['active'=>0]);
        return redirect('admin/portfolios')->with('success', 'Data has been removed!');
    }
}

Modules/Admin/Resources/views/portfolios/create.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Create Portfolios</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('portfolios.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('portfolios.store')}}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-3" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{old('title')}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-3" for='category_id'>Category</label>
                            <div class="col-sm-9">
                               <select name="category_id" id="" class="form-control">
                               <option value="">--Select--</option>
                                @foreach($categories as $cate)
                                    <option value="{{$cate->id}}">{{$cate->title}}</option>
                                @endforeach
                               </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-3"> </label>
                            <div class="col-sm-9">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="form-group row">
                            <label class="col-sm-3" for='photo'>Photo <span class="text-danger">*</span></label>
                            <div class="col-sm-9">
                                <input type="file" class="form-control" id="photo" name="photo" required 
                                    onchange="preview(event)">
                                <div style="margin-top: 9px">
                                    <img src="" alt="" width="180" id="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('js')
    <script>
        function preview(evt)
        {
            let img = document.getElementById('img');
            img.src = URL.createObjectURL(evt.target.files[0]);
        }
    </script>
@endsection

Modules/Admin/Resources/views/portfolios/edit.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Edit Portfolios</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('portfolios.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('portfolios.update', $portfolios->id)}}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-3" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{$portfolios->title}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-3" for='category_id'>Category</label>
                            <div class="col-sm-9">
                               <select name="category_id" id="" class="form-control">
                               <option value="">--Select--</option>
                                @foreach($categories as $cate)
                                    <option value="{{$cate->id}}">{{$cate->category == $cate->id?'selected':''}} >{{$role->name}}</option>
                                @endforeach
                               </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-3"> </label>
                            <div class="col-sm-9">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="form-group row">
                            <label class="col-sm-3" for='photo'>Photo <span class="text-danger">*</span></label>
                            <div class="col-sm-9">
                                <input type="file" class="form-control" id="photo" name="photo" required 
                                    onchange="preview(event)">
                                <div style="margin-top: 9px">
                                    <img src="" alt="" width="180" id="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('js')
    <script>
        function preview(evt)
        {
            let img = document.getElementById('img');
            img.src = URL.createObjectURL(evt.target.files[0]);
        }
    </script>
@endsection

Modules/Admin/Resources/views/portfolios/index.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Portfolios</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('portfolios.create')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-plus"></i> Create
                    </a>
                </div>
            </div>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            <table class="table table-bordered table-sm">
                <thead>
                    <th>#</th>
                    <th>Title</th>
                    <th>Photo</th>
                    <th>Category</th>
                    <th>Other</th>
                </thead>
                <tbody>
                    <?php
                        $page = @$_GET['page'];
                        if(!$page)
                        {
                            $page = 1;
                        }
                        $i = config('app.row') * ($page -1) + 1;
                    ?>
                    @foreach($portfolios as $filios)
                        <tr>
                            <td>{{$i++}}</td>
                            <td>{{$filios->title}}</td>
                            <td>
                                <img src="{{asset($filios->photo)}}" alt="" width="72">
                            </td>
                            <td>{{$filios->cate_name}}</td>
                           
                            <td>
                                <a href="{{route('portfolios.delete', $filios->id)}}" class="btn btn-danger btn-sm" 
                                    title="Delete" onclick="return confirm('You want to delete?')">
                                    Delete
                                </a>
                                <a href="{{route('portfolios.edit', $filios->id)}}" class="btn btn-success btn-sm" 
                                    title="Edit">
                                    Edit
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            {{$portfolios->links()}}
        </div>
    </div>
@endsection